SystemOrganization addCategory: #'Equipment-TIT'!

TestCase subclass: #TestAnalogInput
	instanceVariableNames: 'power'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment-TIT'!

!TestAnalogInput methodsFor: 'as yet unclassified' stamp: 'PoncetAllemand 4/27/2012 15:26'!
setUp
	power := AnalogInput new.! !

!TestAnalogInput methodsFor: 'test' stamp: 'PoncetAllemand 4/27/2012 15:31'!
testAnalogInputLabelReturnName
	power label: 'QPW1'.
	self assert: power label equals: 'QPW1'.! !

!TestAnalogInput methodsFor: 'test' stamp: 'PoncetAllemand 4/27/2012 15:27'!
testAnalogInputLabelReturnNothing
	self assert: power label equals: ''.! !

!TestAnalogInput methodsFor: 'test' stamp: 'PoncetAllemand 4/27/2012 15:10'!
testAnalogInputPointValueReturn32767forHugeValue

	power pointValue: 40000.
	self assert: power pointValue equals: 32767.! !

!TestAnalogInput methodsFor: 'test' stamp: 'PoncetAllemand 4/27/2012 14:58'!
testAnalogInputPointValueReturnValue
	power pointValue: 15000.
	self assert: power pointValue  equals: 15000! !

!TestAnalogInput methodsFor: 'test' stamp: 'PoncetAllemand 4/27/2012 14:58'!
testAnalogInputPointValueReturnZero
	power label: 'QPW1'.
	self assert: 0 equals: power pointValue. ! !

!TestAnalogInput methodsFor: 'test' stamp: 'PoncetAllemand 4/27/2012 15:13'!
testAnalogInputPointValueReturnZeroForNegativeValue

	power pointValue: -1.
	self assert: power pointValue equals: 0.! !

Object subclass: #AnalogInput
	instanceVariableNames: 'label pointValue'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment-TIT'!

!AnalogInput methodsFor: 'initialize' stamp: 'PoncetAllemand 4/27/2012 14:26'!
initialize
	label := ''.
	pointValue := 0.! !

!AnalogInput methodsFor: 'Accesseurs' stamp: 'PoncetAllemand 4/27/2012 15:29'!
label
	^ label! !

!AnalogInput methodsFor: 'Accesseurs' stamp: 'PoncetAllemand 4/27/2012 14:46'!
label: aByteString 
	label := aByteString! !

!AnalogInput methodsFor: 'Accesseurs' stamp: 'PoncetAllemand 4/27/2012 14:43'!
pointValue
	^ pointValue! !

!AnalogInput methodsFor: 'Accesseurs' stamp: 'PoncetAllemand 4/27/2012 15:16'!
pointValue: aSmallInteger 
	aSmallInteger < 0
		ifTrue: [ pointValue := 0]
		ifFalse: [
					aSmallInteger > 32767
						ifTrue: [ pointValue := 32767]
						ifFalse: [ pointValue := aSmallInteger].
				].
						
	
! !
